%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-ejs
Version:    1.0.0
Release:    %mkrel 2
Summary:    Embedded JavaScript templates for Node.js
# License text is included in Readme.md
License:    MIT
Group:      System/Libraries
URL:        https://github.com/visionmedia/ejs
Source0:    http://registry.npmjs.org/ejs/-/ejs-%{version}.tgz

# Add patch to tests to bring up to a more modern 'should' syntax
Patch0:     nodejs-ejs_fix-should-syntax.patch

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
%endif

%description
%{summary}.


%prep
%setup -q -n package

%patch0 -p1


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/ejs
cp -pr package.json ejs.js ejs.min.js index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/ejs

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --require should --reporter spec
%endif


%files
%doc History.md Readme.md examples/
%{nodejs_sitelib}/ejs


%changelog
* Thu Jun 16 2016 daviddavid <daviddavid> 1.0.0-2.mga6
+ Revision: 1021707
- add patch from fedora to fix test for newer should syntax

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Nov 15 2015 tv <tv> 1.0.0-1.mga6
+ Revision: 903189
- imported package nodejs-ejs

